Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class ImageDescription

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.movies.media.SampleDescription
                        |
                        +--quicktime.std.image.ImageDescription

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class ImageDescription
extends SampleDescription
implements quicktime.jdirect.QuickTimeLib

This class corresponds to the image description handle. refer to ImageDescription in QuickTime

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`ImageDescription(int format)` Create an ImageDescription structure
`ImageDescription(PixMap pixmap)` Create an ImageDescription from a PixMap.

Method Summary
`void` | `addExtension(int idType, QTHandle extension)` Add the extended data of the image.
`java.lang.Object` | `clone()` Implementation of Cloneable Interface.
`int` | `countExtensionType(int idType)` Counts the number of extensions of a given type.
`static ImageDescription` | `forEffect(int effectType)` Create an ImageDescription for an Effect Type.
`static ImageDescription` | `fromGraphicsExporter(GraphicsExporter ge)` Determines the image description information.
`static ImageDescription` | `fromGraphicsExporterCompressor(GraphicsExporter ge, AtomContainer ac)` Returns the image description information.
`static ImageDescription` | `fromGraphicsImporter(GraphicsImporter gi)` Determines the image description information.
`static QTImage` | `fromImageCompressionDialog(ImageCompressionDialog icd, QDGraphics src, QDRect srcRect)` Compresses a frame that is sourced by a PixMap from the supplied QDGraphics, returning the compressed data and an image description.
`static ImageDescription` | `fromSprite(Sprite s)` This method gets the image description property of this sprite.
`QDRect` | `getBounds()` Return a QDRect that describes the width and height of the Image the description describes.
`int` | `getClutID()` Return ID number of the color table for image.
`ColorTable` | `getCTable()` Get the custom color table for an image.
`int` | `getCType()` Return the compressor creator type.
`int` | `getDataSize()` Return the size of the compressed image.
`int` | `getDepth()` Return pixel depth of source image.
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`int` | `getExtension(int idType, int index)` Obtain the extended data for an image.
`int` | `getFrameCount()` Return number of frames in image data.
`int` | `getHeight()` Return the height of the source image.
`float` | `getHRes()` Return the horizontal resolution of the source image.
`int` | `getIdSize()` Return the total size of this structure.
`static ImageDescription` | `getJavaDefaultPixelDescription(int width, int height)` Create an ImageDescription structure that describes the default Java pixel format.
`java.lang.String` | `getName()` Return name of the compression algorithm.
`int` | `getNextExtensionType()` Returns the next extension type.
`int` | `getRevisionLevel()` Return the revision level.
`int` | `getSpatialQuality()` Return the Spatial Quality.
`int` | `getTemporalQuality()` Return the temporal Quality.
`int` | `getVendor()` Return the vendor.
`int` | `getVersion()` Return the version of compressed data.
`float` | `getVRes()` Return the vertical resolution of the source image.
`int` | `getWidth()` Return the width of the source image.
`QDGraphics` | `newGWorld(int flags)` Creates an offscreen QDGraphics object from the width, height, depth, and color table of a specified image description structure.
`void` | `removeExtension(int idType, int index)` Removes a specified extension from an ImageDescription.
`void` | `setClutID(int clutID)` Set the id number of the color table.
`void` | `setCTable(ColorTable cTable)` Update the custom color table for an image.
`void` | `setCType(int cType)` Set the compressor creator type.
`void` | `setDataSize(int dataSize)` Set the data size.
`void` | `setDepth(int depth)` Set the pixel depth.
`void` | `setFrameCount(int frameCount)` Set the frame count.
`void` | `setHeight(int height)` Set height of source image in pixels.
`void` | `setHRes(float hRes)` Set horizontal resolution.
`void` | `setName(java.lang.String name)` Set the name of the compression algorithm.
`void` | `setRevisionLevel(int revision)` Set the revision level.
`void` | `setSpatialQuality(int spatialQuality)` Set spatial quality.
`void` | `setTemporalQuality(int temporalQuality)` Set temporal quality.
`void` | `setVendor(int vendor)` Set the vendor.
`void` | `setVersion(int version)` Set the version.
`void` | `setVRes(float vRes)` Set vertical resolution.
`void` | `setWidth(int width)` Set width of source image in pixels.
`java.lang.String` | `toString()` Returns the String representation of this Image Description.

Methods inherited from class quicktime.std.movies.media.SampleDescription
`fromMovieImporter, getDataFormat, getDataRefIndex, getSize, setDataFormat, setDataRefIndex, setSize`

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### ImageDescription

    public ImageDescription(int format)
                     throws QTException

  Create an ImageDescription structure
  Parameters:
    `format` - the dataFormat

### ImageDescription

    public ImageDescription(PixMap pixmap)
                     throws QTException

  Create an ImageDescription from a PixMap.
  QuickTime::MakeImageDescriptionForPixMap
Parameters:
  `pixmap` - the PixMap from which the imageDescription will be made

Method Detail

### getEndianDescriptor

    public static EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### fromGraphicsExporter

    public static ImageDescription fromGraphicsExporter(GraphicsExporter ge)
                                                 throws StdQTException

  Determines the image description information.
  QuickTime::GraphicsExportGetInputImageDescription

  See Also:
    `GraphicsExporter.getInputImageDescription()`

### fromGraphicsExporterCompressor

    public static ImageDescription fromGraphicsExporterCompressor(GraphicsExporter ge,
                                                                  AtomContainer ac)
                                                           throws StdQTException

  Returns the image description information.
  QuickTime::GraphicsExportDoUseCompressor

  See Also:
    `GraphicsExporter.doUseCompressor(quicktime.std.movies.AtomContainer)`

### fromGraphicsImporter

    public static ImageDescription fromGraphicsImporter(GraphicsImporter gi)
                                                 throws StdQTException

  Determines the image description information.
  QuickTime::GraphicsImportGetImageDescription

  See Also:
    `GraphicsImporter.getImageDescription()`

### fromSprite

    public static ImageDescription fromSprite(Sprite s)
                                       throws StdQTException

  This method gets the image description property of this sprite.
  QuickTime::GetSpriteProperty ()

  Returns:
    the image description.
  See Also:
    `Sprite.getImageDescription()`

### fromImageCompressionDialog

    public static QTImage fromImageCompressionDialog(ImageCompressionDialog icd,
                                                     QDGraphics src,
                                                     QDRect srcRect)
                                              throws QTException

  Compresses a frame that is sourced by a PixMap from the supplied QDGraphics, returning the compressed data and an image description.
  QuickTime::SCCompressImage()

  Parameters:
    `src` - the source PixMap.
    `srcRect` - you can specify to compress just a part of the pix map by specifying a rectangle - or pass in null to compress the entire pix map.
  Returns:
    an image data object.
  See Also:
    `ImageCompressionDialog.compressImage(quicktime.qd.QDGraphics, quicktime.qd.QDRect)`

### getJavaDefaultPixelDescription

    public static ImageDescription getJavaDefaultPixelDescription(int width,
                                                                  int height)
                                                           throws QTException

  Create an ImageDescription structure that describes the default Java pixel format. The Application must later set the data size that describes the image represented by this image description. This is typically the size returned from one of the Encoded image formats.
  Parameters:
    `width` - width of the image
    `height` - height of image

### forEffect

    public static ImageDescription forEffect(int effectType)
                                      throws QTException

  Create an ImageDescription for an Effect Type.
  QuickTime::MakeImageDescriptionForEffect

  Parameters:
    `effectType` - the effectType for which the imageDescription will be made
  Returns:
    the ImageDescription for the given Effect type.

### clone

    public java.lang.Object clone()

  Implementation of Cloneable Interface.
  Overrides:
    `clone` in class `SampleDescription`

### setCTable

    public void setCTable(ColorTable cTable)
                   throws StdQTException

  Update the custom color table for an image.
  QuickTime::SetImageDescriptionCTable

  Parameters:
    `cTable` - a color table.

### getCTable

    public ColorTable getCTable()
                         throws QTException

  Get the custom color table for an image. If there is no CTable this returns null.
  QuickTime::GetImageDescriptionCTable

  Returns:
    the ColorTable

### countExtensionType

    public int countExtensionType(int idType)
                           throws StdQTException

  Counts the number of extensions of a given type.
  QuickTime::CountImageDescriptionExtensionType QuickTime::CountImageDescriptionExtensionType

  Parameters:
    `idType` - A four-byte signature indentifying the type of data being counted from the ImageDescription.
  Returns:
    the number of extensions of the specified type

### getNextExtensionType

    public int getNextExtensionType()
                             throws StdQTException

  Returns the next extension type.
  QuickTime::GetNextImageDescriptionExtensionType QuickTime::GetNextImageDescriptionExtensionType

  Returns:
    on entry, contains the starting point for the search. On return, will contain the next extension type found

### addExtension

    public void addExtension(int idType,
                             QTHandle extension)
                      throws StdQTException

  Add the extended data of the image.
  QuickTime::AddImageDescriptionExtension

  Parameters:
    `idType` - A four-byte signature indentifying the type of data being added to the ImageDescription.
    `extension` - The handle containing the extension data.

### removeExtension

    public void removeExtension(int idType,
                                int index)
                         throws StdQTException

  Removes a specified extension from an ImageDescription.
  QuickTime::RemoveImageDescriptionExtension QuickTime::RemoveImageDescriptionExtension

  Parameters:
    `idType` - A four-byte signature indentifying the type of data being removed from the ImageDescription.
    `index` - The index (from 1 to the count as returned by countExtensionType) of the extension to remove..

### getExtension

    public int getExtension(int idType,
                            int index)
                     throws StdQTException

  Obtain the extended data for an image.
  QuickTime::GetImageDescriptionExtension QuickTime::GetImageDescriptionExtension

  Parameters:
    `idType` - specifies the extension's type value.
    `index` - specifies the extension's index value.
  Returns:
    a handle to the returned data.

### newGWorld

    public QDGraphics newGWorld(int flags)
                         throws QTException

  Creates an offscreen QDGraphics object from the width, height, depth, and color table of a specified image description structure.
  QuickTime::NewImageGWorld

  Parameters:
    `flags` - holding graphics world flags.
  Returns:
    a QDGraphics.

### getIdSize

    public int getIdSize()

  Return the total size of this structure.

### getCType

    public int getCType()

  Return the compressor creator type.

### getVersion

    public int getVersion()

  Return the version of compressed data.

### getRevisionLevel

    public int getRevisionLevel()

  Return the revision level.

### getVendor

    public int getVendor()

  Return the vendor.

### getTemporalQuality

    public int getTemporalQuality()

  Return the temporal Quality.

### getSpatialQuality

    public int getSpatialQuality()

  Return the Spatial Quality.

### getWidth

    public int getWidth()

  Return the width of the source image.

### getHeight

    public int getHeight()

  Return the height of the source image.

### getBounds

    public QDRect getBounds()

  Return a QDRect that describes the width and height of the Image the description describes.

### getHRes

    public float getHRes()

  Return the horizontal resolution of the source image.

### getVRes

    public float getVRes()

  Return the vertical resolution of the source image.

### getDataSize

    public int getDataSize()

  Return the size of the compressed image.

### getFrameCount

    public int getFrameCount()

  Return number of frames in image data.

### getName

    public java.lang.String getName()
                             throws UtilException

  Return name of the compression algorithm.

### getDepth

    public int getDepth()

  Return pixel depth of source image.

### getClutID

    public int getClutID()

  Return ID number of the color table for image.

### setCType

    public void setCType(int cType)

  Set the compressor creator type.
  Parameters:
    `cType` - a compressor type.

### setVersion

    public void setVersion(int version)

  Set the version.
  Parameters:
    `version` - a version number.

### setRevisionLevel

    public void setRevisionLevel(int revision)

  Set the revision level.
  Parameters:
    `revision` - a revision number.

### setVendor

    public void setVendor(int vendor)

  Set the vendor.
  Parameters:
    `vendor` - a developer of the compressor.

### setTemporalQuality

    public void setTemporalQuality(int temporalQuality)

  Set temporal quality.
  Parameters:
    `temporalQuality` - a degree of temporal compression.

### setSpatialQuality

    public void setSpatialQuality(int spatialQuality)

  Set spatial quality.
  Parameters:
    `a` - degree of spatial compression.

### setWidth

    public void setWidth(int width)

  Set width of source image in pixels.
  Parameters:
    `width` - the width of the source image in pixels.

### setHeight

    public void setHeight(int height)

  Set height of source image in pixels.
  Parameters:
    `height` - the height of the source image in pixels.

### setHRes

    public void setHRes(float hRes)

  Set horizontal resolution.
  Parameters:
    `hRes` - the horizontal resolution of the source image.

### setVRes

    public void setVRes(float vRes)

  Set vertical resolution.
  Parameters:
    `vRes` - the vertical resolution of the source image.

### setDataSize

    public void setDataSize(int dataSize)

  Set the data size.
  Parameters:
    `dataSize` - the size of the compressed image.

### setFrameCount

    public void setFrameCount(int frameCount)

  Set the frame count.
  Parameters:
    `frameCount` - the number of frames in the image data.

### setName

    public void setName(java.lang.String name)
                 throws UtilException

  Set the name of the compression algorithm.
  Parameters:
    `name` - indicates the compression algorithm.

### setDepth

    public void setDepth(int depth)

  Set the pixel depth.
  Parameters:
    `depth` - is the pixel depth specified for the compressed image.

### setClutID

    public void setClutID(int clutID)

  Set the id number of the color table.
  Parameters:
    `clutID` - contains the ID of the color table for the compressed image.

### toString

    public java.lang.String toString()

  Returns the String representation of this Image Description.
  Overrides:
    `toString` in class `SampleDescription`
  Following copied from class: `quicktime.std.movies.media.SampleDescription`
  Returns:
    a string representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD